> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置PIN码



## OpenAPI

````yaml cn post /card/setPINIframe
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /card/setPINIframe:
    post:
      tags: []
      summary: 设置PIN
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPINIframeRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultSetPINIframeResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  iframeUrl: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    SetPINIframeRequest:
      type: object
      properties:
        channel:
          type: string
          description: 渠道
        merchantUserId:
          type: string
          description: 商户用户id
        merchantId:
          type: string
          description: 商户id
        powerCardId:
          type: string
          description: powerCardId
      required:
        - channel
        - merchantUserId
        - merchantId
        - powerCardId
    CommonResultSetPINIframeResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/SetPINIframeResponse'
          description: 结果数据
    SetPINIframeResponse:
      type: object
      properties:
        iframeUrl:
          type: string
          description: 模板url
      required:
        - iframeUrl

````